#This Program Loads the Individual K2_Tools when their Menu is accessed!

  #function acts as short cut for selecting tool
	def dowelJoint  
		require  'K2WS_Tools/K2_ToolsDowelJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_Dowel_Joint.new   
	end
	 
	def dowelHoles  
		require  'K2WS_Tools/K2_ToolsDowelJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_Dowel_Holes.new   
	end
	
	def dowels  
		require  'K2WS_Tools/K2_ToolsDowelJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_Dowels.new   
	end
	
	def dominoJoint  
		require  'K2WS_Tools/K2_ToolsDominoJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_DominoJoint.new   
	end
	 
	def dominoHoles  
		require  'K2WS_Tools/K2_ToolsDominoJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_DominoHoles.new   
	end
	
	def dominos  
		require  'K2WS_Tools/K2_ToolsDominoJoint.rb'
		Sketchup.active_model.select_tool K2_Tools_Dominos.new   
	end
	
	def boxJointFingers  
		require  'K2WS_Tools/K2_ToolsBoxJoint.rb'
		Sketchup.active_model.select_tool K2_BoxFingers.new   
	end
	 
	def dovetailPintool
		require  'K2WS_Tools/K2_ToolsDovetail.rb'
		Sketchup.active_model.select_tool K2_DovetailPins.new
	end #def dovetailPintool
	
	def dovetailTailtool
		require  'K2WS_Tools/K2_ToolsDovetail.rb'
		Sketchup.active_model.select_tool K2_DovetailTails.new
	end

	def blind_dovetailPintool
		require  'K2WS_Tools/K2_ToolsBlindDovetail.rb'
		Sketchup.active_model.select_tool K2_BlindDovetailPins.new
	end #def dovetailPintool
	
	def blind_dovetailTailtool
		require  'K2WS_Tools/K2_ToolsBlindDovetail.rb'
		Sketchup.active_model.select_tool K2_BlindDovetailTails.new
	end
	
	def looseTenonJointtool
		require  'K2WS_Tools/K2_ToolsLooseTenon.rb'
		Sketchup.active_model.select_tool K2_LooseTennonJointTool.new
	end 
	
	def mortiseC1tool
		require  'K2WS_Tools/K2_ToolsLooseTenon.rb'
		Sketchup.active_model.select_tool K2_MortiseTool.new
	end

	def addLooseTenontool
		require  'K2WS_Tools/K2_ToolsLooseTenon.rb'
		Sketchup.active_model.select_tool K2_AddLooseTenonTool.new
	end
	
	def mortise_TenonJoint
		require  'K2WS_Tools/K2_ToolsM_TJoint.rb'
		Sketchup.active_model.select_tool K2_M_T_Joint.new  
	end
 
	def tenonC1
		require  'K2WS_Tools/K2_ToolsM_TJoint.rb'
		Sketchup.active_model.select_tool K2_TenonTool.new      
	end
	
	def biscuitJointTool
		require  'K2WS_Tools/K2_ToolsBiscuitJoint.rb'
		Sketchup.active_model.select_tool K2_ToolsBiscuitJoint.new  
	end
 
	def biscuitSlotTool
		require  'K2WS_Tools/K2_ToolsBiscuitJoint.rb'
		Sketchup.active_model.select_tool K2_ToolsBiscuitSlot.new      
	end
	
	def biscuitTool
		require  'K2WS_Tools/K2_ToolsBiscuitJoint.rb'
		Sketchup.active_model.select_tool K2_ToolsBiscuits.new      
	end
	
	def screw_holes
		require  'K2WS_Tools/K2_ToolsScrewHoles.rb'
		Sketchup.active_model.select_tool K2_Tools_ScrewHoles.new
	end
	
	def pocketscw_holes
		require  'K2WS_Tools/K2_ToolsPocketScwHoles.rb'
		Sketchup.active_model.select_tool K2_Tools_PocketScwHoles.new
	end
  
  if( not file_loaded?("K2_ToolsLoader.rb"))
  
    # Access the main Tools menu
    tools_menu = UI.menu "Tools"
    # Add a separator and a submenu
    tools_menu.add_separator
    sub_menu = tools_menu.add_submenu("KK_Tools")
    # Add two menu items to the submenu
		sub_menu1 = sub_menu.add_submenu("Biscuits")
			it1 = sub_menu1.add_item("Complete Biscuit Joint") {biscuitJointTool}
			it2 = sub_menu1.add_item("Add Biscuit Slots & Biscuits 1 Comp") {biscuitSlotTool}
			#it3 = sub_menu1.add_item("Add Biscuits") {biscuitTool}
		it4 = sub_menu.add_item("BoxJoint_Fingers") {boxJointFingers}
		sub_menu2 = sub_menu.add_submenu("Dominos")	
			it5 = sub_menu2.add_item("Complete Domino Joint") {dominoJoint}
			it6 = sub_menu2.add_item("Add Holes & Dominos 1 Comp") {dominoHoles}
			#it7 = sub_menu2.add_item("Add Dominos") {dominos}
		sub_menu3 = sub_menu.add_submenu("Dovetails")
			it8 = sub_menu3.add_item("Blind Dovetail Pins") {blind_dovetailPintool}
			it9 = sub_menu3.add_item("Blind Dovetail Tails") {blind_dovetailTailtool}
			it10 = sub_menu3.add_item("Thru Dovetail Pins") {dovetailPintool}
			it11 = sub_menu3.add_item("Thru Dovetail Tails") {dovetailTailtool}
		sub_menu4 = sub_menu.add_submenu("Dowels")	 
			it12 = sub_menu4.add_item("Complete Dowel Joint") {dowelJoint}
			it13 = sub_menu4.add_item("Add Holes & Dowels 1 Comp") {dowelHoles}
			it14 = sub_menu4.add_item("Add Dowels") {dowels}
		sub_menu5 = sub_menu.add_submenu("Mortise & Tenon")	
			it15 = sub_menu5.add_item("Loose-Tenon Joint") {looseTenonJointtool}
			it16 = sub_menu5.add_item("Add Mortise 1 Comp") {mortiseC1tool}
			#it17 = sub_menu5.add_item("Add Loose Tenons") {mortiseC1tool}
			it18 = sub_menu5.add_item("Mortise & Tenon Joint") {mortise_TenonJoint}
			it19 = sub_menu5.add_item("Add Tenon 1 Comp") {tenonC1}
		it20 = sub_menu.add_item("Pocket Scw Holes") {pocketscw_holes}
		it21 = sub_menu.add_item("Screw Holes") {screw_holes}
    
	
  end

 file_loaded("K2_ToolsLoader.rb")